## alljoyn-services-1604 16.04

=== controlpanel/SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os

env = SConscript('../build_core/SConscript')

vars = Variables()
vars.Add('BINDINGS', 'Bindings to build (comma separated list): cpp, java', 'cpp,java')
vars.Add(EnumVariable('BUILD_SERVICES_SAMPLES',
                      'Build the services samples.',
                      'on',
                      allowed_values = ['on', 'off']))

vars.Add(PathVariable('ALLJOYN_DISTDIR',
                      'Directory containing a built AllJoyn Core dist directory.',
                      os.environ.get('ALLJOYN_DISTDIR')))

vars.Add(PathVariable('APP_COMMON_DIR',
                      'Directory containing common sample application sources.',
                      os.environ.get('APP_COMMON_DIR','../sample_apps')))

vars.Update(env)
Help(vars.GenerateHelpText(env))

if '' == env.subst('$ALLJOYN_DISTDIR'):
   print 'ALLJOYN_DISTDIR variable is required'
   if not GetOption('help'):
      Exit(1)
else:
    # normalize ALLJOYN_DISTDIR first
    env['ALLJOYN_DISTDIR'] = env.Dir('$ALLJOYN_DISTDIR')
    env.Append(CPPPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/inc'),
                           env.Dir('$ALLJOYN_DISTDIR/cpp/inc/alljoyn') ])
    env.Append(LIBPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/lib') ])

    if env.get('APP_COMMON_DIR'):
        # normalize APP_COMMON_DIR
        env['APP_COMMON_DIR'] = env.Dir('$APP_COMMON_DIR')

    env['bindings'] = set([ b.strip() for b in env['BINDINGS'].split(',') ])

    env.SConscript('SConscript')

=== sample_apps/SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os

env = SConscript('../build_core/SConscript')

vars = Variables()
vars.Add('BINDINGS', 'Bindings to build (comma separated list): cpp, java', 'cpp,java')
vars.Add(EnumVariable('BUILD_SERVICES_SAMPLES',
                      'Build the services samples.',
                      'on',
                      allowed_values = ['on', 'off']))

vars.Add(PathVariable('ALLJOYN_DISTDIR',
                      'Directory containing a built AllJoyn Core dist directory.',
                      os.environ.get('ALLJOYN_DISTDIR')))

vars.Add(PathVariable('APP_COMMON_DIR',
                      'Directory containing common sample application sources.',
                      os.environ.get('APP_COMMON_DIR','.')))

vars.Update(env)
Help(vars.GenerateHelpText(env))

if '' == env.subst('$ALLJOYN_DISTDIR'):
   print 'ALLJOYN_DISTDIR variable is required'
   if not GetOption('help'):
      Exit(1)
else:
    # normalize ALLJOYN_DISTDIR first
    env['ALLJOYN_DISTDIR'] = env.Dir('$ALLJOYN_DISTDIR')
    env.Append(CPPPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/inc'),
                           env.Dir('$ALLJOYN_DISTDIR/cpp/inc/alljoyn') ])
    env.Append(LIBPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/lib') ])

    if env.get('APP_COMMON_DIR'):
        # normalize APP_COMMON_DIR
        env['APP_COMMON_DIR'] = env.Dir('$APP_COMMON_DIR')

    env['bindings'] = set([ b.strip() for b in env['BINDINGS'].split(',') ])

    env.SConscript('SConscript')

=== services_common/SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os

env = SConscript('../build_core/SConscript')

vars = Variables()
vars.Add('BINDINGS', 'Bindings to build (comma separated list): cpp, java', 'cpp,java')
vars.Add(PathVariable('ALLJOYN_DISTDIR',
                      'Directory containing a built AllJoyn Core dist directory.',
                      os.environ.get('ALLJOYN_DISTDIR')))

vars.Update(env)
Help(vars.GenerateHelpText(env))

if '' == env.subst('$ALLJOYN_DISTDIR'):
   print 'ALLJOYN_DISTDIR variable is required'
   if not GetOption('help'):
      Exit(1)
else:
    # normalize ALLJOYN_DISTDIR first
    env['ALLJOYN_DISTDIR'] = env.Dir('$ALLJOYN_DISTDIR')
    env.Append(CPPPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/inc') ])
    env.Append(LIBPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/lib') ])

    env['bindings'] = set([ b.strip() for b in env['BINDINGS'].split(',') ])

    env.SConscript('SConscript')

=== debian/changelog ===
alljoyn-services-1604 (16.04-4ubuntu1) artful; urgency=medium

  * Resync on debian unstable. Remaining changes:
    + Build on all ubuntu archs supported at present.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 25 Aug 2017 17:47:21 +0530

alljoyn-services-1604 (16.04-4) unstable; urgency=medium

  * add gcc7 patch (Closes: #853308)
  * debian/control: change priority: from extra to optional
  * debian/control: bump standard to 4.0.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 Aug 2017 19:28:32 +0200

alljoyn-services-1604 (16.04-3) unstable; urgency=medium

  * move package to debian-iot-maintainer

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 26 Dec 2016 11:28:32 +0100

alljoyn-services-1604 (16.04-2) unstable; urgency=medium

  * adapt soname patch to create 1604 shared library (Closes: #836719)
  * debian/control: add conflict for 1504 (Closes: #836717)
  * debian/control: add conflict for 1509 (Closes: #836718)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Sep 2016 18:28:32 +0200

alljoyn-services-1604 (16.04-1) unstable; urgency=medium

  * Initial release (Closes: #828133)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Sep 2016 11:28:32 +0200

=== debian/control ===
Source: alljoyn-services-1604
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: dh-exec (>=0.3)
               , debhelper (>=9)
	       , liballjoyn-common-dev-1604
	       , liballjoyn-dev-1604
               , scons
               , libssl-dev
               , libgtest-dev
	       , libxml2-dev
#	       , javahelper
#	       , junit
#	       , libcsv-java
#	       , libmatthew-debug-java
#	       , libitext-java
#               , ant
#               , libcap-dev
Standards-Version: 4.0.1
Homepage: https://allseenalliance.org/framework
Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/alljoyn-services-1604.git
Vcs-Git: https://anonscm.debian.org/git/debian-iot/alljoyn-services-1604.git

Package: liballjoynservices1604
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn base services library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the libraries for the base services 
 in version 1604.

Package: liballjoynservices-dev-1604
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoynservices1604 (= ${binary:Version}),
         liballjoyn-common-dev-1604
Section: libdevel
Description: AllJoyn base services C++ development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ development files for the base services.

Package: alljoyn-services-1604
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: alljoyn-services-1504, alljoyn-services-1509
Description: AllJoyn base services for 1604
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the software for the base services 
 in version 1604.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
export GTEST_DIR=/usr/src/gtest

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# mapping all i.86 to x86 for Alljoyn
CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU | sed -e 's/i.86/x86/')
BUILDARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
OS=linux


export VERSION := 16.04
export SONAME := 1604
export VARIANT := release
export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 GTEST_DIR=$(GTEST_DIR)
export BUILD_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/dist
export OBJ_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/obj
export ALLJOYN_DISTDIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/dist

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(ALLJOYN_DISTDIR)
	(cd sample_apps; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
#	(cd time; \
#	scons BINDINGS=cpp $(SCONS_ARGS) \
#		WS=off BT=off ICE=off \
#	)
#	(cd config; \
#	scons BINDINGS=cpp $(SCONS_ARGS) \
#		WS=off BT=off ICE=off \
#	)
	(cd services_common; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
	(cd controlpanel; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
# onboarding needs config!?
#	(cd onboarding; \
#	scons BINDINGS=cpp $(SCONS_ARGS) \
#		WS=off BT=off ICE=off \
#	)
	(cd notification; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)

	touch ./to-be.removed-now.md5
	find ./* |grep '\.md5'|xargs rm

	dh_auto_build

override_dh_auto_clean:
	# see explanation of -I for dpkg-source
	# as this dir contains an {arch}, dpkg-source ignores it
	# "arm" in Alljoyn world means openWRT+cross compiling
	# so this is not needed for Debian
	rm -rf build_core/conf/linux/arm
	rm -f sample_apps/.sconsign.dblite
	rm -rf sample_apps/.sconf_temp
	rm -f services_common/.sconsign.dblite
	rm -rf services_common/.sconf_temp
	rm -f notification/.sconsign.dblite
	rm -rf notification/.sconf_temp
	rm -f onboarding/.sconsign.dblite
	rm -rf onboarding/.sconf_temp
	rm -f controlpanel/.sconsign.dblite
	rm -rf controlpanel/.sconf_temp
	rm -f time/.sconsign.dblite
	rm -rf time/.sconf_temp
	rm -f config/.sconsign.dblite
	rm -rf config/.sconf_temp
	touch ./to-be-removed-now.config.log
	find ./* -print|grep "config\.log"|xargs rm
	touch ./build_core/to-be-removed-now.pyc
	find ./build_core/* -print|grep "\.pyc"|xargs rm
	touch ./to-be.removed-now.md5
	find ./* |grep '\.md5'|xargs rm
	rm -rf sample_apps/build
	rm -rf services_common/build
	rm -rf notification/build
	rm -rf onboarding/build
	rm -rf controlpanel/build
	rm -rf time/build
	rm -rf config/build
	dh_auto_clean

override_dh_install:
	dh_install
	# improve stuff
	#XXX no longer needed: chmod 644 debian/alljoyn-services-1604/etc/alljoyn/*.conf

override_dh_installchangelogs:
	#XXX only one file now: cat */ReleaseNotes.txt > ReleaseNotes.txt
	dh_installchangelogs ReleaseNotes.txt
	rm ReleaseNotes.txt
	dh_installchangelogs

=== debian/watch ===
version=3
opts="dversionmangle=s/base/alljoyn-services/" \
https://git.allseenalliance.org/cgit/services/base.git/ /cgit/services/base.git/snapshot/base-(16\.04.*)\.tar\.gz
